<?php

/**
 * Observium
 *
 *   This file is part of Observium.
 *
 * @package    observium
 * @subpackage alerting
 * @copyright  (C) 2006-2013 Adam Armstrong, (C) 2013-2018 Observium Limited
 *
 */

/*
 * For full docs see https://developer.pagerduty.com/documentation/integration/events
 */

// Unless this is a recovery, it is a new incident by default
$pagerduty_event_type = ($message_tags['ALERT_STATE'] == "RECOVER" ? "resolve" : "trigger");

$json_details = $message_tags;
unset($json_details['ENTITY_GRAPHS_ARRAY']);

// JSON data
$data_string = json_encode(array(
  "service_key"  => $endpoint['service_key'],
  "event_type"   => $pagerduty_event_type,
  "description"  => "[".$message_tags['DEVICE_HOSTNAME']."][".$message_tags['ENTITY_TYPE'] . "][" . $message_tags['ENTITY_NAME']."] [" . $message_tags['ENTITY_DESCRIPTION']."] " . $message_tags['ALERT_MESSAGE'],
  "incident_key" => $message_tags['ALERT_ID'],
  "client"       => "Observium Alert Entry",
  "client_url"   => $message_tags['ALERT_URL'],
  "details"      => $json_details));

// JSON data + HTTP headers
$context_data = array(
  'method' => 'POST',
  'header' =>
    "Connection: close\r\n".
    "Content-Type: application/json\r\n".
    "Content-Length: ".strlen($data_string)."\r\n",
  'content'=> $data_string
);

// API URL to POST to
$url = 'https://events.pagerduty.com/generic/2010-04-15/create_event.json';

// Send out API call and parse response into an associative array
$result = json_decode(get_http_request($url, $context_data), TRUE);

// Check if call succeeded
if ($result['status'] == 'success')
{
  $notify_status['success'] = TRUE;
} else {
  $notify_status['success'] = FALSE;
}

unset($result);
unset($data_string);
unset($context_data);
unset($json_details);

// EOF
